Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jatek0003
Class Jatek0003

    java.lang.Object
      jatek0003.Jatek0003

All Implemented Interfaces:
  Jatek, java.awt.event.ActionListener, java.util.EventListener

    public class Jatek0003

extends java.lang.Object
implements Jatek, java.awt.event.ActionListener

Constructor Summary
`Jatek0003()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `closeGame()` Bezárja a játékot, alapállapotra állít minden fontos értéket.
`boolean` | `createSaveDataFormat(java.io.File save)` Létrehoz egy Excel fájlt, és elmenti a megadott elérési útra.
`Jatek0003GameData` | `getJgd()`
`Jatek0003Panel` | `getJk0003()`
`void` | `loadData(org.w3c.dom.Document d)` A validált dokumentumból kinyeri az adatokat és eltárolja.
`void` | `playGame()` Lejátszuk a játékot.
`boolean` | `sendDataToPhp()` Adatokat küldünk egy .php fájlnak, és vizsgáljuk, hogy sikeres volt-e a művelet, azaz a .php azt a kimenetet produkálta-e, mint amit vártunk.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jatek0003

    public Jatek0003()

Method Detail

### closeGame

    public void closeGame()

  Description copied from interface: `Jatek`
  Bezárja a játékot, alapállapotra állít minden fontos értéket.

  Specified by:
    `closeGame` in interface `Jatek`

### createSaveDataFormat

    public boolean createSaveDataFormat(java.io.File save)

  Description copied from interface: `Jatek`
  Létrehoz egy Excel fájlt, és elmenti a megadott elérési útra.

  Specified by:
    `createSaveDataFormat` in interface `Jatek`
  Parameters:
    `save` - File Fájl, amibe mentjük az eredményt.
  Returns:
    Boolean Sikeres volt-e a mentés?

### sendDataToPhp

    public boolean sendDataToPhp()

  Adatokat küldünk egy .php fájlnak, és vizsgáljuk, hogy sikeres volt-e a művelet, azaz a .php azt a kimenetet produkálta-e, mint amit vártunk.

  Returns:
    Boolean Sikeres-e az adatbevitel.

### loadData

    public void loadData(org.w3c.dom.Document d)

  Description copied from interface: `Jatek`
  A validált dokumentumból kinyeri az adatokat és eltárolja.

  Specified by:
    `loadData` in interface `Jatek`
  Parameters:
    `d` - Document XML-állománnyal dolgozunk.

### playGame

    public void playGame()

  Description copied from interface: `Jatek`
  Lejátszuk a játékot.

  Specified by:
    `playGame` in interface `Jatek`

### getJgd

    public Jatek0003GameData getJgd()

### getJk0003

    public Jatek0003Panel getJk0003()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD